Author Topic: Fetchmail and Gmail: Oauth required [SOLVED]  (Read 609 times)

hjt

  • Zen Apprentice
  • *
  • Posts: 7
  • Karma: +2/-0
    • View Profile
Fetchmail and Gmail: Oauth required [SOLVED]
« on: February 21, 2019, 01:46:06 am »
Apparently Google is tightening security, and closing down Imap(s) an POP3(s) access to  Gmail accounts.
(I am aware of the "Allow less secure app", but even when this is set access is not allowed anymore)

On both my production server (5.0) and a clean test install (6.0) the /var/log/mail.log throws errors:
Fetchmail Query status=3 (AUTHFAIL) Authorization failure on ######

It seems that Oauth is now required to get the mails from Gmail.
I found an article that covers giving Fetchmail (6.3 and 6.4) support for Oauth2 : http://mmogilvi.users.sourceforge.net/software/oauthbearer.html

But I cannot figure out how to get this into the Zentyal server. Anyone succeeded at this?

« Last Edit: February 21, 2019, 01:19:54 pm by hjt »

hjt

  • Zen Apprentice
  • *
  • Posts: 7
  • Karma: +2/-0
    • View Profile
Re: Fetchmail and Gmail: Oauth required
« Reply #1 on: February 21, 2019, 01:19:39 pm »
As from a few hours ago, Gmail stopped throwing AUTH errors and is delivering mail again. Not sure if they changed their policy or if there was a technical error involved.
Anyhow mail is flowing again, and the problem is solved so far, for what I'm concerned.

It appears that Oauth authentification will be a standard part of Fetchmail 7, so I'll be waiting for that to come to Zentyal.